Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.j3d.utils.audio
Class DistanceAttenuation

    java.lang.Object
      com.sun.j3d.utils.audio.DistanceAttenuation

    public class DistanceAttenuation

extends java.lang.Object

Constructor Summary
`DistanceAttenuation()`

Method Summary
`void` | `fillDistanceAttenuation(float innerRadius, float maxConstantGain, float unitDistance, float unitGain, float outerRadius, float minConstantGain, int curveType, Point2f[] distanceAttenuation)`
`void` | `fillDistanceAttenuation(float innerRadius, float maxConstantGain, float unitDistance, float unitGain, int curveType, Point2f[] distanceAttenuation)`
`void` | `fillDistanceAttenuation(float unitDistance, float unitGain, Point2f[] distanceAttenuation)` Fill a Distance Attenuation array recommend that the distance attenuation Point2f array is defined to be allocated to be 10 for DOUBLE_DISTANCE_HALF_GAIN - since 1/(2^10) exceeds 1/1000 scale that is agreed to be affective zero gain First method assumes that: type is half gain for every double of distance inner radius is 0.0 but region between 0th and 1st elements is constant since gains for these two elements are the same min gain approches zero.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DistanceAttenuation

    public DistanceAttenuation()

Method Detail

### fillDistanceAttenuation

    public void fillDistanceAttenuation(float unitDistance,
                                        float unitGain,
                                        Point2f[] distanceAttenuation)

  Fill a Distance Attenuation array recommend that the distance attenuation Point2f array is defined to be allocated to be 10 for DOUBLE_DISTANCE_HALF_GAIN - since 1/(2^10) exceeds 1/1000 scale that is agreed to be affective zero gain First method assumes that: type is half gain for every double of distance inner radius is 0.0 but region between 0th and 1st elements is constant since gains for these two elements are the same min gain approches zero.

### fillDistanceAttenuation

    public void fillDistanceAttenuation(float innerRadius,
                                        float maxConstantGain,
                                        float unitDistance,
                                        float unitGain,
                                        int curveType,
                                        Point2f[] distanceAttenuation)

### fillDistanceAttenuation

    public void fillDistanceAttenuation(float innerRadius,
                                        float maxConstantGain,
                                        float unitDistance,
                                        float unitGain,
                                        float outerRadius,
                                        float minConstantGain,
                                        int curveType,
                                        Point2f[] distanceAttenuation)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD